import http_detect


class HTTPRepetierDetector(http_detect.HTTPDetector):

    PORT = 3344
    TIMEOUT = 2
    FINDSSH_SERVICE = 'http'
    PATH = "/printer/info"
    RESPONSE_FIELD_NAME = "apikey"

if __name__ == "__main__":
    import logging
    logging.basicConfig(level=logging.DEBUG)
    from pprint import pprint
    d = HTTPRepetierDetector()
    d.detect()
    print("Results:")
    pprint(d.discovered_printers)
